<?php
defined ( 'BASEPATH' ) or exit ( 'No direct script access allowed' );

class Plugin_xs extends CI_Controller {
	
	var $whitelist;
	
	function __construct() {
		$this->whitelist = "question,article";
		parent::__construct ();
		$this->load->model ( "topic_model" );
		$this->load->model ( "question_model" );
	}
	//同步问题
	function question() {
		
		if ($this->setting['xunsearch_open']) {
			$pagesize =200;
			$questionnum = returnarraynum ( $this->db->query ( getwheresql ( 'question', "  status!=0 and  isupdatexunsearch=0 ", $this->db->dbprefix ) )->row_array () );
			
			$pages = @ceil ( $questionnum / $pagesize );
			for($i=0;$i<$pages;$i++){
				$p=$i+1;
				$startindex = ($p - 1) * $pagesize;
				
				$this->question_model->makeindex($startindex, $pagesize);
			}
			exit("问题索引同步完成---".date('Y-m-d H:i:s'));
		}else{
			exit("全文检索已关闭或者没配置，参考安装教程：https://www.whatsns.com/doc/12.html");
		}
		
	}
	//同步文章
	function article() {
		
		if ($this->setting['xunsearch_open']) {
			$pagesize =200;
			$articlenum = returnarraynum ( $this->db->query ( getwheresql ( 'topic', "  state!=0 and  isupdatexunsearch=0 ", $this->db->dbprefix ) )->row_array () );
			$pages = @ceil ( $articlenum / $pagesize );
			for($i=0;$i<$pages;$i++){
				$p=$i+1;
				$startindex = ($p - 1) * $pagesize;
				
				$this->topic_model->makeindex($startindex, $pagesize);
			}
			exit("文章索引同步完成---".date('Y-m-d H:i:s'));
		}else{
			exit("全文检索已关闭或者没配置，参考安装教程：https://www.whatsns.com/doc/12.html");
		}
	}
	
}